> ## Documentation Index
> Fetch the complete documentation index at: https://docs.synci.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List all account balance entries

> Returns a paginated list of balance entries recorded for the account.



## OpenAPI

````yaml /openapi/v1.json get /finance/accounts/{accountId}/balances
openapi: 3.2.0
info:
  title: Synci
  version: '1.0'
  description: >-
    Synci is a platform for integrating financial accounts with your favorite
    apps.
servers:
  - url: https://api.synci.io/api/v1
security:
  - oauth2: []
  - http: []
tags:
  - name: Finance
    kind: nav
  - name: Connections
    parent: Finance
  - name: Accounts
    parent: Finance
  - name: Transactions
    parent: Finance
  - name: Institutions
    parent: Finance
  - name: Destinations
    kind: nav
  - name: YNAB
    parent: Destinations
  - name: Lunch Money
    parent: Destinations
  - name: Google Sheets
    parent: Destinations
  - name: SimpleFIN
    parent: Destinations
  - name: Notion
    parent: Destinations
  - name: Account
    kind: nav
  - name: Webhooks
    parent: Account
  - name: User
    parent: Account
  - name: rule-engine
    summary: Rules
    kind: nav
  - name: Rules
    parent: rule-engine
  - name: Rule Logs
    parent: rule-engine
  - name: Transfers
    kind: nav
  - name: Transfer Links
    parent: Transfers
  - name: Transfer Logs
    parent: Transfers
paths:
  /finance/accounts/{accountId}/balances:
    get:
      tags:
        - Accounts
      summary: List all account balance entries
      description: Returns a paginated list of balance entries recorded for the account.
      operationId: financial.accounts.balances.index
      parameters:
        - name: accountId
          in: path
          required: true
          description: The financial account ID
          schema:
            type: integer
        - name: page[size]
          in: query
          description: The number of results that will be returned per page.
          schema:
            type: integer
            default: 25
        - name: page[number]
          in: query
          description: The page number to start the pagination from.
          schema:
            type: integer
        - name: filter[currency]
          in: query
          schema:
            type: string
        - name: filter[type]
          in: query
          schema:
            type: string
        - name: filter[reference_date]
          in: query
          schema:
            type: string
        - name: filter[search]
          in: query
          schema:
            type: string
        - name: sort
          in: query
          schema:
            type: array
            default:
              - '-reference_date'
              - integrator_last_changed_at
              - '-id'
            items:
              type: string
              enum:
                - created_at
                - '-created_at'
                - updated_at
                - '-updated_at'
                - reference_date
                - '-reference_date'
                - id
                - '-id'
          explode: false
      responses:
        '200':
          description: Paginated set of `FinancialAccountBalanceResource`
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/FinancialAccountBalanceResource'
                  links:
                    type: object
                    properties:
                      first:
                        type:
                          - string
                          - 'null'
                      last:
                        type:
                          - string
                          - 'null'
                      prev:
                        type:
                          - string
                          - 'null'
                      next:
                        type:
                          - string
                          - 'null'
                    required:
                      - first
                      - last
                      - prev
                      - next
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: integer
                        minimum: 1
                      from:
                        type:
                          - integer
                          - 'null'
                        minimum: 1
                      last_page:
                        type: integer
                        minimum: 1
                      links:
                        type: array
                        description: Generated paginator links.
                        items:
                          type: object
                          properties:
                            url:
                              type:
                                - string
                                - 'null'
                            label:
                              type: string
                            active:
                              type: boolean
                          required:
                            - url
                            - label
                            - active
                      path:
                        type:
                          - string
                          - 'null'
                        description: Base path for paginator generated URLs.
                      per_page:
                        type: integer
                        description: Number of items shown per page.
                        minimum: 0
                      to:
                        type:
                          - integer
                          - 'null'
                        description: Number of the last item in the slice.
                        minimum: 1
                      total:
                        type: integer
                        description: Total number of items being paginated.
                        minimum: 0
                    required:
                      - current_page
                      - from
                      - last_page
                      - links
                      - path
                      - per_page
                      - to
                      - total
                required:
                  - data
                  - links
                  - meta
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
components:
  schemas:
    FinancialAccountBalanceResource:
      type: object
      properties:
        id:
          type: string
        financial_account_id:
          type: string
        amount:
          type: string
        currency:
          type: string
          description: ISO 4217 currency code.
        type:
          type: string
          description: Balance type (ISO 20022).
        category:
          type:
            - string
            - 'null'
          description: >-
            Coarse classification of `type`: AVAILABLE (the balance reflects
            pending activity), CLEARED (settled/booked entries only),
            INFORMATIONAL (bank-defined semantics; may or may not include
            pending activity), or OTHER.
        reference_date:
          type: string
          description: Indicates the date of the balance.
        credit_limit_included:
          type: string
          description: >-
            A flag indicating if the credit limit of the corresponding account
            is included in the calculation of the balance, where applicable.
        last_committed_transaction_entry_ref:
          type: string
          description: Entry reference of the last committed transaction.
        integrator_last_changed_at:
          type: string
          description: >-
            The date and time the balance was last changed, as reported by the
            integrator, where available.
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - financial_account_id
        - amount
        - currency
        - type
        - category
        - reference_date
        - credit_limit_included
        - last_committed_transaction_entry_ref
        - integrator_last_changed_at
        - created_at
        - updated_at
      title: FinancialAccountBalanceResource
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://api.synci.io/oauth/authorize
          tokenUrl: https://api.synci.io/oauth/token
          scopes:
            profile:read: View your name, email, and profile details
            accounts:read: View your connected financial accounts and balances
            accounts:write: >-
              Update, sync, and remove your financial accounts, and change their
              settings
            transactions:read: View your transactions
            transactions:write: Create, update, and delete your transactions
            sensitive:read: >-
              See sensitive identifiers like account numbers and account holder
              names
            transfer-links:read: View your transfer links and their transfer history
            transfer-links:write: Create, update, and delete transfer links, and undo transfers
            rules:read: View your rules and rule activity
            rules:write: Create, update, and delete rules, and undo rule actions
            webhooks:read: View your webhook endpoints
            webhooks:write: >-
              Create, update, and delete webhook endpoints, and rotate their
              secrets
            destinations:read: View your connected destinations
            destinations:write: Connect, update, and remove destinations
            financial-connections:read: View your connected institutions
            financial-connections:write: Manage your connected institutions
    http:
      type: http
      description: Bearer token (personal access token or OAuth access token)
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.